Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.phyloxml
Class PhyloXMLReader

    java.lang.Object
      info.bioinfweb.treegraph.document.io.AbstractDocumentReader
          info.bioinfweb.treegraph.document.io.phyloxml.PhyloXMLReader

All Implemented Interfaces:
  DocumentReader, PhyloXMLConstants

    public class PhyloXMLReader

extends AbstractDocumentReader
implements PhyloXMLConstants

Reads a phyloXML document.

Since:
  2.0.35
Author:
  Ben Stöver

Field Summary
`private Vector<String>` | `names`
`private Vector<Tree>` | `phylogenies`
`private XMLEventReader` | `reader`

Fields inherited from class info.bioinfweb.treegraph.document.io.AbstractDocumentReader
`document, loadLogger`

Fields inherited from interface info.bioinfweb.treegraph.document.io.phyloxml.PhyloXMLConstants
`ATTR_BRANCH_LENGTH, ATTR_BRANCH_LENGTH_UNIT, ATTR_ROOTED, ATTR_TYPE, BRANCH_WIDT_DATA_NAME, DEFAULT_CONFIDENCE_NAME, DEFAULT_TREE_NAME, ID_PREFIX, NAMESPACE_URI, TAG_ACCESSION, TAG_AUTHORITY, TAG_BRANCH_LENGTH, TAG_CLADE, TAG_CODE, TAG_COLOR_BLUE, TAG_COLOR_GREEN, TAG_COLOR_RED, TAG_COMMON_NAME, TAG_CONFIDENCE, TAG_DATE, TAG_DESCRIPTION, TAG_DISTRIBUTION, TAG_LINE_COLOR, TAG_LINE_WIDTH, TAG_LOCATION, TAG_MAX, TAG_MIN, TAG_NAME, TAG_PHYLOGENY, TAG_RANK, TAG_ROOT, TAG_SCIENTIFIC_NAME, TAG_SEQUENCE, TAG_SYMBOL, TAG_SYNONYM, TAG_TAXONOMY, TAG_VALUE`

Constructor Summary
`PhyloXMLReader()`

Method Summary
`Document` | `read(InputStream stream, LoadLogger loadLogger, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter branchLengthsAdapter, TreeSelector selector, boolean translateInternalNodes)`
`private Color` | `readColor()`
`private int` | `readColorValue()`
`private void` | `readDate(Node node)`
`private void` | `readDistribution(Node node)`
`private void` | `readDocument(StartElement rootElement)`
`private void` | `readPhylogeny(StartElement rootElement)`
`private void` | `readSequence(StartElement rootElement, Node node)`
`private Node` | `readSubtree(StartElement rootElement, Node parent)`
`private void` | `readTaxonomy(Node node)`
`private void` | `storeHiddenData(HiddenDataMap map, String keyPrefix, StartElement element)`

Methods inherited from class info.bioinfweb.treegraph.document.io.AbstractDocumentReader
`reachElementEnd, reachElementEnd, read, read, read, read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    private XMLEventReader reader

### names

    private Vector<String> names

### phylogenies

    private Vector<Tree> phylogenies

Constructor Detail

### PhyloXMLReader

    public PhyloXMLReader()

Method Detail

### readColorValue

    private int readColorValue()
                        throws XMLStreamException

  Throws:
    `XMLStreamException`

### readColor

    private Color readColor()
                     throws XMLStreamException

  Throws:
    `XMLStreamException`

### storeHiddenData

    private void storeHiddenData(HiddenDataMap map,
                                 String keyPrefix,
                                 StartElement element)
                          throws XMLStreamException

  Throws:
    `XMLStreamException`

### readTaxonomy

    private void readTaxonomy(Node node)
                       throws XMLStreamException

  Throws:
    `XMLStreamException`

### readSequence

    private void readSequence(StartElement rootElement,
                              Node node)
                       throws XMLStreamException

  Throws:
    `XMLStreamException`

### readDistribution

    private void readDistribution(Node node)
                           throws XMLStreamException

  Throws:
    `XMLStreamException`

### readDate

    private void readDate(Node node)
                   throws XMLStreamException

  Throws:
    `XMLStreamException`

### readSubtree

    private Node readSubtree(StartElement rootElement,
                             Node parent)
                      throws XMLStreamException

  Throws:
    `XMLStreamException`

### readPhylogeny

    private void readPhylogeny(StartElement rootElement)
                        throws XMLStreamException

  Throws:
    `XMLStreamException`

### readDocument

    private void readDocument(StartElement rootElement)
                       throws XMLStreamException

  Throws:
    `XMLStreamException`

### read

    public Document read(InputStream stream,
                         LoadLogger loadLogger,
                         NodeBranchDataAdapter internalAdapter,
                         NodeBranchDataAdapter branchLengthsAdapter,
                         TreeSelector selector,
                         boolean translateInternalNodes)
                  throws Exception

  Specified by:
    `read` in interface `DocumentReader`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD